MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > Class Template Reference

`#include <MyGUI_Delegate.h>`

## Public Types
typedef IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > | IDelegate

## Public Member Functions
| CDelegate6 ()
| CDelegate6 (const CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > &_event)
| ~ CDelegate6 ()
bool | empty () const
void | clear ()
CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > & | operator= (IDelegate *_delegate)
CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > & | operator= (const CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > &_event)
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)

## Detailed Description

### template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6>
class MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >

Definition at line 137 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ IDelegate

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

typedef IDelegate6<TP1, TP2, TP3, TP4, TP5, TP6> MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::IDelegate

Definition at line 140 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CDelegate6() [1/2]

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::CDelegate6 | ( |  | ) |
| inline

Definition at line 142 of file MyGUI_Delegate.h.

## ◆ CDelegate6() [2/2]

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::CDelegate6 | ( | const CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > & | _event | ) |
| inline

Definition at line 143 of file MyGUI_Delegate.h.

## ◆ ~ CDelegate6()

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::~ CDelegate6 | ( |  | ) |
| inline

Definition at line 150 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ clear()

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

void MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::clear | ( |  | ) |
| inline

Definition at line 160 of file MyGUI_Delegate.h.

## ◆ empty()

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

bool MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::empty | ( |  | ) | const
| inline

Definition at line 155 of file MyGUI_Delegate.h.

## ◆ operator()()

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

void MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6
| ) |  |
| inline

Definition at line 190 of file MyGUI_Delegate.h.

## ◆ operator=() [1/2]

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

CDelegate6<TP1, TP2, TP3, TP4, TP5, TP6>& MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 166 of file MyGUI_Delegate.h.

## ◆ operator=() [2/2]

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

CDelegate6<TP1, TP2, TP3, TP4, TP5, TP6>& MyGUI::delegates::CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::operator= | ( | const CDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > & | _event | ) |
| inline

Definition at line 173 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h